Last Comment Bug 360329 - tabbrowser assumes req.image exists
: tabbrowser assumes req.image exists
Status: RESOLVED FIXED
: fixed-seamonkey1.0.7, fixed-seamonkey1.1
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: 1.8 Branch
: x86 Windows XP
: -- normal (vote)
: seamonkey1.1final
Assigned To: Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
:
:
Mentors:
http://upload.wikimedia.org/wikipedia...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-10 18:28 PST by Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
Modified: 2008-07-31 04:23 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
for trunk (1.38 KB, patch)
2006-11-10 19:02 PST, Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
neil: review-
Details | Diff | Splinter Review
patch for 1.8 (1.68 KB, patch)
2006-11-15 18:19 PST, Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
neil: review+
kairo: approval‑seamonkey1.1+
Details | Diff | Splinter Review
patch for 1.8.0 (1.65 KB, patch)
2006-11-15 18:19 PST, Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
neil: review+
kairo: approval‑seamonkey1.0.7+
Details | Diff | Splinter Review

Description Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-11-10 18:28:04 PST
http://lxr.mozilla.org/seamonkey/source/xpfe/global/resources/content/bindings/tabbrowser.xml#378
Apparently req can exist, with req.image = null.  The bug exists in SM1.0.x and trunk, so it probably exists in SM1.1 too.

The URL is the image that caused this, but it's due to server bustage, which will probably be fixed.
Comment 1 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-11-10 19:02:32 PST
Created attachment 245303 [details] [diff] [review]
for trunk
Comment 2 neil@parkwaycc.co.uk 2006-11-11 09:11:01 PST
Comment on attachment 245303 [details] [diff] [review]
for trunk

You don't need to check anything here, because you're already testing the status (although you could check the image instead of the status if you prefer).
Comment 3 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-11-15 18:19:16 PST
Created attachment 245717 [details] [diff] [review]
patch for 1.8

For SeaMonkey 1.1 final
Comment 4 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-11-15 18:19:54 PST
Created attachment 245718 [details] [diff] [review]
patch for 1.8.0

Do we want to fix this on 1.8.0 branch?
Comment 5 neil@parkwaycc.co.uk 2006-11-16 00:28:50 PST
Comment on attachment 245717 [details] [diff] [review]
patch for 1.8

These two patches are the same, no? Also, isn't there some width code on the trunk in the fallback case?
Comment 6 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-11-16 09:58:02 PST
Comment on attachment 245718 [details] [diff] [review]
patch for 1.8.0

a? for 1.0.7, but we have no flag for that.
Comment 7 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-11-16 15:23:57 PST
Neil, yes, they're the same.  I thought trunk protects req.image.* with a check of req.imageStatus.
Comment 8 Robert Kaiser 2006-11-16 16:31:38 PST
Comment on attachment 245718 [details] [diff] [review]
patch for 1.8.0

a=me for SeaMonkey 1.0.7
Comment 9 Robert Kaiser 2006-11-16 16:32:07 PST
Comment on attachment 245717 [details] [diff] [review]
patch for 1.8

a=me for SeaMonkey 1.1
Comment 10 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-11-16 16:34:57 PST
I will land on 1.8.1 first, after Neil is satisfied with my answers.
Comment 11 neil@parkwaycc.co.uk 2006-11-17 01:27:35 PST
(In reply to comment #7)
>I thought trunk protects req.image.* with a check of req.imageStatus.
Yes, it does... there are a lot of {}s which confused me initially.
Comment 12 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-11-18 14:25:23 PST
Fixed on 1.8.1, will let it bake before fixing 1.8.0
Comment 13 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-11-25 14:44:41 PST
timeless checked this in for me on 1.8.0 branch since I'm out of town.
Comment 14 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-12-02 08:24:08 PST
I guess this is fixed since it doesn't affect trunk.

Note You need to log in before you can comment on or make changes to this bug.